コンテンツへスキップ

Flux Kontext Lora

統合

モデルID flux-kontext-lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-kontext-lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.07 70 APIクレジット このページで実行

APIキーを取得
Black Forest Labs 画像編集 #image-editing#image-to-image

スタイルやブランド向けのカスタムLoRAを読み込むKontext dev画像編集

Black Forest Labs · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像編集の内容を説明するプロンプト。

•必須 image_url
ファイルをドロップ、または

編集用画像URL。幅と高さはそれぞれ14142pxまで、タイムアウトは20秒です。

num_images デフォルト 1

生成する画像の枚数。

詳細設定 output_format · acceleration · resolution_mode · num_inference_steps · guidance_scale · seed · enable_safety_checker · loras
output_format デフォルト png

結果の画像のファイル形式。

acceleration デフォルト none

生成の高速化設定。値を上げると結果の生成にかかる時間が短くなります。

デフォルト match_input

画像編集で出力解像度を決定する方法。`match_input`は入力サイズの維持を試みますが、16の倍数やサポートされるサイズ上限など、モデル要件に合わせて調整します。通常は`auto`を推奨します。モデルの学習に使用した解像度を使い、入力のアスペクト比に最適な定義済みサイズを選択するためです。いくつかの明示的なアスペクト比も利用できます。

デフォルト 30

実行する推論ステップ数。

デフォルト 2.5

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

デフォルト []

組み合わせた効果で生成画像を作るLoRA。指定数に制限はありません。

POST /run/flux-kontext-lora?wait=20 見積もり → $0.07
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-kontext-lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Flux Kontext Loraについて

`prompt`に従って`image_url`の画像を編集し、1つ以上の`loras`を結合して適用します。match_inputを含む`resolution_mode`、`acceleration`レベル、10~50ステップ、最大4出力に対応します。デフォルト出力はpngです。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
編集用画像URL。幅と高さはそれぞれ14142pxまで、タイムアウトは20秒です。
prompt必須
型string
画像編集の内容を説明するプロンプト。
num_inference_steps任意
型integer
デフォルト30
10 – 50
実行する推論ステップ数。
seed任意
型integer | null
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
guidance_scale任意
型number
デフォルト2.5
0 – 20
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像の枚数。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェック。安全でないと判定された画像の代わりに黒い画像を返します。true でチェックを有効にし、false では権限のあるアカウントのみ無効にできます。権限のないアカウントのリクエストは常にチェックされます。
output_format任意
型enum
デフォルトpng
jpegpng
結果の画像のファイル形式。
loras任意
型object[]
デフォルト[]
組み合わせた効果で生成画像を作るLoRA。指定数に制限はありません。
loras[].path必須
型string
URLまたはパスで指定するLoRAウェイトの場所。
loras[].scale任意
型number
デフォルト1
0 – 4
ベースモデルに統合する前にLoRAウェイトへ適用する倍率。
acceleration任意
型enum
デフォルトnone
noneregularhigh
生成の高速化設定。値を上げると結果の生成にかかる時間が短くなります。
resolution_mode任意
型enum
デフォルトmatch_input
automatch_input1:116:921:93:22:34:55:43:44:39:169:21
画像編集で出力解像度を決定する方法。`match_input`は入力サイズの維持を試みますが、16の倍数やサポートされるサイズ上限など、モデル要件に合わせて調整します。通常は`auto`を推奨します。モデルの学習に使用した解像度を使い、入力のアスペクト比に最適な定義済みサイズを選択するためです。いくつかの明示的なアスペクト比も利用できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-kontext-lora",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 70,
    "usd": "0.07",
    "charged": 70,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}生成画像のファイル情報。
timings
object
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/flux-kontext-lora.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt